{
  "schema_version": "1.4.0",
  "id": "GHSA-cp28-4p2g-2qfv",
  "modified": "2022-05-02T03:50:41Z",
  "published": "2022-05-02T03:50:41Z",
  "aliases": [
    "CVE-2009-4012"
  ],
  "details": "Multiple integer overflows in LibThai before 0.1.13 might allow context-dependent attackers to execute arbitrary code via long strings that trigger heap-based buffer overflows, related to (1) thbrk/thbrk.c and (2) thwbrk/thwbrk.c.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-4012"
    },
    {
      "type": "WEB",
      "url": "http://linux.thai.net/node/184"
    },
    {
      "type": "WEB",
      "url": "http://linux.thai.net/svn/software/libthai/tags/r_0_1_13/ChangeLog"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-02/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38196"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38213"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38235"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38420"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/libt/libthai/libthai_0.1.6-1+etch1.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/libt/libthai/libthai_0.1.9-4+lenny1.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://ubuntu.com/usn/usn-887-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-1971"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/37822"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-01-19T16:30:00Z"
  }
}